SoundSoftware Code Site - Bug #51
Add member to project -- should not show list of all members
2010-12-13 03:02 PM - Chris Cannam

Status: Closed Start date: 2010-12-13
Priority: High Due date:

Assignee: Chris Cannam % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description

Under Project Settings -> Members there is a box on the right of the window which shows a list of all members, allowing you to mark
one or more to add to the project. Possibly the same box appears elsewhere too.

This should not show all members by default. There will very soon be far too many for that.
The box already has a rather nice Ajax-y search box which updates the list of members as you type. What might work would be if we

could omit the list of members while there were fewer than 2 or 3 characters typed into the box, and then show the results of the
search once the user had typed enough to cause a reasonable disambiguation.

History

#1 - 2010-12-13 03:10 PM - Chris Cannam

Also, in this context and anywhere else where a user's name is not linked straight through to their profile page, we should probably add the user's
email address in angle-brackets after their name.

(Users' real names are not required to be unique, are they? They probably shouldn't be, but | can envisage some problematic situations arising from

that.)

#2 - 2010-12-14 12:15 PM - Chris Cannam

- Priority changed from Normal to High

#3 - 2011-01-19 01:27 PM - Chris Cannam

- Assignee changed from Luis Figueira to Chris Cannam

Fix committed in commit:32b5adec7422

#4 - 2011-01-19 06:42 PM - Chris Cannam
- Status changed from New to Closed
- % Done changed from 0 to 100
